---
title: Inspect and select colors
slug: Tools/Page_Inspector/How_to/Inspect_and_select_colors
tags:
  - Guide
  - Inspector
  - Tools
---
<div>{{ToolsSidebar}}</div>

<p>In the CSS Pane's <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#Rules_view">Rules view</a>, if a rule contains a color value, you'll see a sample of the color next to the value:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/6361/inspector-css-color-swatch.png" style="display: block; height: 158px; margin-left: auto; margin-right: auto; width: 487px;">A color sample is also shown for CSS custom properties (variables) that represent colors.</p>

<p><img alt="CSS in the Rules pane showing a color swatch on a CSS variable" src="https://mdn.mozillademos.org/files/16971/css_color_vars.png" style="border-style: solid; border-width: 1px; height: 61px; width: 397px;"></p>

<p>If you click on the color sample, you'll see a color picker popup, enabling you to change the color:</p>

<p><img alt="Color picker showing a case of good contrast with the background" src="https://mdn.mozillademos.org/files/16888/color-picker-good-contrast.png" style="height: 187px; width: 200px;"><img alt="Color picker showing a case of poor contrast" src="https://mdn.mozillademos.org/files/16889/color-picker-bad-contrast.png" style="height: 230px; width: 200px;"></p>

<p>If the color is a foreground color, the color picker tells you whether its contrast with the background color meets accessibility guidelines. Hovering the mouse over the contrast message gives a more detailed explanation.</p>

<p>The color picker includes an eyedropper icon: clicking this icon enables you to use the eyedropper to select a new color for the element from the page:</p>

<p>{{EmbedYouTube("0Zx1TN21QOo")}}</p>

<p>Clicking the color sample while holding down the Shift key changes the color format:</p>

<p>{{EmbedYouTube("gYL8-gxc1MA")}}</p>
